Package com.xebialabs.xlrelease.user

# Enum Class User

java.lang.Object
java.lang.Enum<User>
com.xebialabs.xlrelease.user.User

All Implemented Interfaces:
  `Serializable`, `Comparable<User>`, `Constable`

public enum User extends Enum<User>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AUTHENTICATED_USER`
  `LOG_OUTPUT`
  `SYSTEM`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract String`
  `getName()`
  `static User`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static User[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AUTHENTICATED_USER

    public static final User AUTHENTICATED_USER

  - ### SYSTEM

    public static final User SYSTEM

  - ### LOG_OUTPUT

    public static final User LOG_OUTPUT

- ## Method Details

  - ### values

    public static User[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static User valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getName

    public abstract String getName()